import request from '@/utils/request'

// 查询人员统计列表
export function getPersonStatisticsList(data) {
    return request({
        url: '/production/productionStaff/queryByPage',
        method: 'post',
        data: data
    })
}

// 查询人员统计列表头部图表
export function attendanceStatistics(query) {
    return request({
        url: '/production/findAttendanceRate',
        method: 'get',
        params: query
    })
}

// 查询人员统计列表头部工种人数图表
export function workersNumber(query) {
    return request({
        url: '/production/findOccupation',
        method: 'get',
        params: query
    })
}

// 查询人员详情图表
export function getPersonDetailList(data) {
    return request({
        url: '/production/productionStaff/detailInfo',
        method: 'post',
        data: data
    })
}

// 查询人员详情生产任务
export function getDetailProduct(query) {
    return request({
        url: '/production/findProductionByUserId',
        method: 'get',
        params: query
    })
}

// 查询人员详情人员信息
export function getDetailInfo(query) {
    return request({
        url: '/production/findPlanByUserId',
        method: 'get',
        params: query
    })
}

// 查询人员详情任务列表
export function getDetailTaskList(query) {
    return request({
        url: '/production/findAssignmentsByUserId',
        method: 'get',
        params: query
    })
}

// 查询人员详情右侧数据
export function getDetailRightData(data) {
    return request({
        url: '/production/productionStaff/detailInfo',
        method: 'post',
        data: data
    })
}

// 查询工位记录
export function getStationList(data) {
    return request({
        url: '/production/findStationRecords',
        method: 'post',
        data: data
    })
}

// 新增工位记录
export function addStation(data) {
    return request({
        url: '/production/addStationRecords',
        method: 'post',
        data: data
    })
}


// 更新工位记录
export function updateStation(data) {
    return request({
        url: '/production/updateStationRecords',
        method: 'post',
        data: data
    })
}

// 查询物料信息列表
export function getMaterialManageList(data) {
    return request({
        url: '/production/findMaterialsInformation',
        method: 'post',
        data: data
    })
}

// 更新物料信息
export function updateMaterialManage(data) {
    return request({
        url: '/production/updateMaterialsInformation',
        method: 'post',
        data: data
    })
}

// 新增物料信息
export function addMaterialManage(data) {
    return request({
        url: '/production/addMaterialsInformation',
        method: 'post',
        data: data
    })
}

// 更新物料出入库操作
export function updateMaterialManageOutOrIn(data) {
    return request({
        url: '/production/updateMaterialsNumber',
        method: 'post',
        data: data
    })
}

// 查询物料详情
export function getMaterialManageDetail(data) {
    return request({
        url: '/production/findMaterialsRecords',
        method: 'post',
        data: data
    })
}

// 物料新增弹窗物料分类下拉
export function getMaterialClassifica() {
    return request({
        url: '/production/findMaterialsClassify',
        method: 'get'
    })
}

// 物料新增弹窗工艺下拉
export function getTechnology() {
    return request({
        url: '/production/findMaterialsCraft',
        method: 'get'
    })
}

// 物料出库弹窗订单下拉
export function getAllOrder() {
    return request({
        url: '/production/findOrderLineDetailsNumber',
        method: 'get'
    })
}

// 根据订单查批次
export function getBatchByOrderId(val) {
    return request({
        url: `/production/findBatchNumberByOrderNumber?orderNumber=${val}`,
        method: 'get'
    })
}

// 根据批次查分段
export function getSegmentByBatchId(val) {
    return request({
        url: `/production/findSectionNumberByBatchNumber?batchNumber=${val}`,
        method: 'get'
    })
}

// 查询订单列表
export function getOrderList(data) {
    return request({
        url: '/production/findOrderLineDetails',
        method: 'post',
        data: data
    })
}

// 新增订单
export function addOrder(data) {
    return request({
        url: '/production/addOrderLineDetails',
        method: 'post',
        data: data
    })
}

// 更新订单
export function updateOrder(data) {
    return request({
        url: '/production/updateOrderLineDetails',
        method: 'post',
        data: data
    })
}

// 根据id删除订单
export function deleteOrder(query) {
    return request({
        url: '/production/deleteOrderLineDetails',
        method: 'get',
        params: query
    })
}

// 根据订单编号查批次信息
export function getBatchByOrder(data) {
    return request({
        url: '/production/findOrderDetailsByBatches',
        method: 'post',
        data: data
    })
}

// 查询订单头部信息
export function getOrderTop() {
    return request({
        url: '/production/findOrderLineDetailsByTarget',
        method: 'post'
    })
}

// 查询批次列表
export function getBarchList(data) {
    return request({
        url: '/production/batches/batchesList',
        method: 'post',
        data: data
    })
}


// 新增批次
export function addBarch(data) {
    return request({
        url: '/production/batches/addBatches',
        method: 'post',
        data: data
    })
}

// 修改批次
export function updateBarch(data) {
    return request({
        url: '/production/batches/updateBatches',
        method: 'post',
        data: data
    })
}

// 根据id删除批次
export function deleteBarch(data) {
    return request({
        url: '/production/batches/deleteBatches',
        method: 'post',
        data: data
    })
}

// 查询批次详情
export function getBarchDetail(data) {
    return request({
        url: '/production/batches/batchesDetail',
        method: 'post',
        data: data
    })
}

// 查询批次头部数据
export function getBarchTop(data) {
    return request({
        url: '/production/batches/batchSummary',
        method: 'post',
        data: data
    })
}


// 查询厂区列表
export function getFactoryAreaList() {
    return request({
        url: '/production/batches/factoryList',
        method: 'post'
    })
}

// 根据厂区id查询厂区列表
export function getWorkshopList(val) {
    return request({
        url: `/production/batches/workshopList/${val}`,
        method: 'post'
    })
}


// 查询生产记录列表
export function getProductionList(data) {
    return request({
        url: '/production/productionRecords/queryList',
        method: 'post',
        data: data
    })
}

// 查询生产记录头部柱状图
export function getProductionCharts(data) {
    return request({
        url: '/production/productionRecords/productionRecordsChart',
        method: 'post',
        data: data
    })
}

// 修改生产记录
export function editProduction(data) {
    return request({
        url: '/production/productionRecords/editRecords',
        method: 'post',
        data: data
    })
}

// 新增生产记录
export function addProduction(data) {
    return request({
        url: '/production/productionRecords/addRecords',
        method: 'post',
        data: data
    })
}

// 根据id删除生产记录
export function deleteProduction(data) {
    return request({
        url: `/production/productionRecords/deleteById/${data}`,
        method: 'delete'
    })
}


// 绩效管理新增
export function addPerformance(data) {
    return request({
        url: '/production/evaluation/add',
        method: 'post',
        data: data
    })
}

// 查询绩效管理列表
export function getPerformanceList(data) {
    return request({
        url: '/production/evaluation/queryByPage',
        method: 'post',
        data: data
    })
}


// 查询工单管理列表
export function getWorkOrderList(data) {
    return request({
        url: '/production/dispatchList/queryByPage',
        method: 'post',
        data: data
    })
}

// 新增工单管理
export function addWorkOrder(data) {
    return request({
        url: '/production/dispatchList/add',
        method: 'post',
        data: data
    })
}

// 编辑工单管理
export function editWorkOrder(data) {
    return request({
        url: '/production/dispatchList/edit',
        method: 'post',
        data: data
    })
}

// 删除工单管理
export function delWorkOrder(val) {
    return request({
        url: `/production/dispatchList/deleteById/${val}`,
        method: 'delete',
    })
}

// 查询工单管理详情
export function getWorkOrderDetail(val) {
    return request({
        url: `/production/dispatchList/queryById/${val}`,
        method: 'get'
    })
}

// 工单管理弹窗问题分类下拉
export function getProblemlist() {
    return request({
        url: '/production/dispatchList/questionType',
        method: 'post'
    })
}

// 工单管理弹窗单号类型
export function getOrderTypelist() {
    return request({
        url: '/production/dispatchList/queryOddTypes',
        method: 'post'
    })
}

// 查询任务管理列表
export function getTaskList(data) {
    return request({
        url: '/production/findAssignments',
        method: 'post',
        data: data
    })
}

// 新增任务管理
export function addTaskInfo(data) {
    return request({
        url: '/production/addAssignments',
        method: 'post',
        data: data
    })
}

// 编辑任务管理
export function editTaskInfo(data) {
    return request({
        url: '/production/updateAssignments',
        method: 'post',
        data: data
    })
}

// 任务管理详情
export function detailTaskInfo(val) {
    return request({
        url: `/production/findAssignmentsDetail?id=${val}`,
        method: 'post'
    })
}

// 任务事件下拉
export function taskDropDown(data) {
    return request({
        url: '/production/queryTaskEventType',
        method: 'post',
        data: data
    })
}

// 查询生产排程列表
export function getSchedulingList(data) {
    return request({
        url: '/production/findSchedules',
        method: 'post',
        data: data
    })
}

//新增生产排程列表
export function addScheduling(data) {
    return request({
        url: '/production/addSchedules',
        method: 'post',
        data: data
    })
}

// 编辑生产排程列表
export function editScheduling(data) {
    return request({
        url: '/production/updateSchedules',
        method: 'post',
        data: data
    })
}

// 生产排程详情
export function schedulingDetail(data) {
    return request({
        url: '/production/findScheduleRecords',
        method: 'post',
        data: data
    })
}

// 查询分段列表
export function getSegmentList(data) {
    return request({
        url: '/production/productionRecords/queryByPage',
        method: 'post',
        data: data
    })
}

// 新增分段
export function addSegmentInfo(data) {
    return request({
        url: '/production/productionRecords/addRecords',
        method: 'post',
        data: data
    })
}

// 删除分段
export function delSegmentInfo(data) {
    return request({
        url: `/production/productionRecords/deleteById/${data}`,
        method: 'delete',
    })
}

// 修改分段列表
export function editSegmentInfo(data) {
    return request({
        url: '/production/productionRecords/editRecords',
        method: 'post',
        data: data
    })
}


// 根据排程id查询批次和分段
export function getBitchById(data) {
    return request({
        url: '/production/findScheduleBatchesByScheduleId',
        method: 'post',
        data: data
    })
}


